package com.kym.service;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.queryParams.CommonQueryParam;
import com.kym.entity.common.PageBean;
import com.kym.entity.RefundLog;
import com.kym.entity.vo.RefundVo;

/**
 * <p>
 * 退款日志 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-09-11
 */
public interface RefundLogService extends MPJBaseService<RefundLog> {
    PageBean<RefundVo> listRefundLog(CommonQueryParam params);

    PageBean<RefundLog> listRefundLogForApp(CommonQueryParam params);

    RefundLog detail(String outRefundNo);
}
